/*
 * Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
* ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
*/
package com.sun.ts.tests.jpa.core.entityManager2;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "PURCHASE_ORDER")
public class Order implements java.io.Serializable {

    private int id;
    private int total;
    private String description;

    public Order() {
    }

    public Order(int total) {
        this.total = total;
    }

    public Order(String description) {
        this.description = description;
    }

    public Order(int id, int total) {
        this.id = id;
        this.total = total;
    }

    public Order(int id, int total, String description) {
        this.id = id;
        this.total = total;
        this.description = description;
    }

    @Id
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public String getdescription() {
        return description;
    }

    public void setdescription(String description) {
        this.description = description;
    }

    public String toString() {
        return "Order id=" + getId() + ", total=" + getTotal() + ", desc=" + getdescription();
    }
}
